package Lire::Merge::Aggregator;

use strict;

use vars qw/ $VERSION @ISA /;

use Lire::Aggregator;
use Carp;

BEGIN {
    ($VERSION)	= '$Revision: 1.2 $' =~ m!Revision: ([.\d]+)!;
    @ISA = qw( Lire::Aggregator );
}

# Initialize data
sub init_merge {
    my ( $self, $period_start, $period_end ) = @_;

    croak( ref $self, "::init_merge unimplemented\n" );
}

sub merge_entries {
    my ( $self, $subreport ) = @_;

    croak( ref $self, "::merge_entries unimplemented\n" );
}

sub end_merge {
    my ( $self ) = @_;

    croak(  ref $self , "::end_merge unimplemented\n" );
}

sub create_entries {
    my ( $self, $subreport ) = @_;

    croak( ref $self, "::create_entries unimplemented\n" );
}

# keep perl happy
1;

__END__

=pod

=head1 NAME

Lire::Merge::Aggregator - Base implementation of Aggregators.

=head1 SYNOPSIS


=head1 DESCRIPTION

=head1 VERSION

$Id: Aggregator.pm,v 1.2 2002/06/18 14:40:44 flacoste Exp $

=head1 COPYRIGHT

Copyright (C) 2001 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program (see COPYING); if not, check with
http://www.gnu.org/copyleft/gpl.html or write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.

=head1 AUTHOR

Francis J. Lacoste <flacoste@logreport.org>

=cut
